# Creation of the tarball as follows:
# wget http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
# tar xf %{name}-%{version}.tar.bz2
# cd %{name}-%{version}
# patch -p1 0001-Update-to-latest-gnome-volume-control-code.patch
# make dist

Name:          dalston
Version:       0.1.11
Release:       1%{?dist}
Summary:       Moblin System Information Icons

Group:         System Environment/Libraries
License:       LGPLv2 and GPLv2+
URL:           http://www.moblin.org/
Source0:       %{name}-%{version}.tar.bz2
# Patches are applied during creation of 'make dist' tarball above. Are included here for reference
Patch0:        0001-Update-to-latest-gnome-volume-control-code.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: libcanberra-devel
BuildRequires: mutter-moblin-devel
BuildRequires: nbtk-devel
BuildRequires: libnotify-devel
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext

BuildRequires: libtool
BuildRequires: gnome-common

%description
System information icons for Moblin including volume and power 
management applets.

%prep
%setup -q
%patch0 -p1 -b .gnome-vol

./autogen.sh 

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/xdg/autostart/*
%{_libexecdir}/dalston-power-applet
%{_libexecdir}/dalston-volume-applet
%{_datadir}/dalston
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.power.service
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.volume.service

%changelog
* Thu Oct 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.11-1
- new upstream 0.1.11 release

* Wed Oct 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.10-2
- update files list for new release

* Wed Oct 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.10-1
- new upstream 0.1.10 release

* Tue Oct  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.8-1
- new upstream 0.1.8 release

* Sat Oct  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-3
- make dist tarball creation

* Sun Sep 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-2
- Add patch from upstream for nbtk-1.2 and latest g-v-c

* Mon Sep 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-1
- new upstream 0.1.6 release, review updates

* Wed Sep  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.5-1
- new upstream 0.1.5 release

* Tue Aug 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- new upstream 0.1.2 release

* Wed Aug 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- new upstream 0.1.0 release

* Tue Aug 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.29-2
- Updates from review request

* Sun Jul 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.29-1
- New 0.0.29 upstream release

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.27-1
- New 0.0.27 upstream release, updates from initial review

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.25-1
- Initial packaging
